Package com.verisign.epp.framework

## Class EPPXMLAssembler

- java.lang.Object
- - com.verisign.epp.framework.EPPXMLAssembler

- All Implemented Interfaces:
    `EPPAssembler`

      public class EPPXMLAssembler
      extends java.lang.Object
      implements EPPAssembler

  The `EPPXMLAssembler` class provides an implementation of EPPAssembler that can assemble/disassemble `EPPMessage`s and `EPPEventResponse`s from java Input and Outputstreams that contain streamed XML.
  See Also:
    `EPPAssembler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPXMLAssembler()` | Construct and instance of an `EPPXMLAssembler`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPEvent` | `toEvent​(java.io.InputStream aStream, java.lang.Object aData)` | Takes an `InputStream` and reads XML from it to create an `EPPEvent`
    `void` | `toStream​(EPPEventResponse aResponse, java.io.OutputStream aOutputStream, java.lang.Object aData)` | Takes an `EPPEventResponse` and serializes it to an `OutputStream` in XML Format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPXMLAssembler

          public EPPXMLAssembler()

      Construct and instance of an `EPPXMLAssembler`

  - ### Method Detail

    - #### toStream

          public void toStream​(EPPEventResponse aResponse,
                               java.io.OutputStream aOutputStream,
                               java.lang.Object aData)
                        throws EPPAssemblerException

      Takes an `EPPEventResponse` and serializes it to an `OutputStream` in XML Format.
      Specified by:
        `toStream` in interface `EPPAssembler`
      Parameters:
        `aResponse` - The response that will be serialized
        `aOutputStream` - The OutputStream that the response will be serialized to.
        `aData` - DOCUMENT ME!
      Throws:
        `EPPAssemblerException` - Error serializing the `EPPEventResponse`

    - #### toEvent

          public EPPEvent toEvent​(java.io.InputStream aStream,
                                  java.lang.Object aData)
                           throws EPPAssemblerException

      Takes an `InputStream` and reads XML from it to create an `EPPEvent`
      Specified by:
        `toEvent` in interface `EPPAssembler`
      Parameters:
        `aStream` - The InputStream to read data from.
        `aData` - DOCUMENT ME!
      Returns:
        EPPEvent The `EPPEvent` that is created from the InputStream
      Throws:
        `EPPAssemblerException` - Error creating the `EPPEvent`